View Issue Details

IDProjectCategoryView StatusLast Update
0000742DCP-o-matic[All Projects] Bugspublic2016-05-31 22:57
ReporterrobnAssigned Tocarl 
PrioritynormalSeveritymajorReproducibilityalways
Status closedResolutionfixed 
PlatformLinuxOSFedoraOS Version22
Product Version2.5.0 
Target Version2.6.0Fixed in Version 
Summary0000742: Subtitle X & Y offsets not properly read after opening film/project
DescriptionIt appears the X offset and Y offset for subtitles are not correctly
initialized when re-opening an existing project. For example 1% is reduced
to 0%, 2% is reduced to 1% etc.

When inspecting the project's .xml file the value apears OK (eg. "0.01" for 1%),
but once read back after reopening the values are usually 1% less.

Perhaps this a floating point rounding issue?

Maybe the same happens with other saved values? (didn't check)

(tested with v2.5.0)
Steps To Reproduce- Create film/project with subtitles
- set a subtitle offset to 2%
- save the project
- quit the application
- restart the application
- re-open the just save project
- check the subtitle offset (it will probably be 1% instead of 2%)
TagsNo tags attached.
Estimated work requiredAverage

Activities

carl

2015-11-10 00:01

administrator   ~0000964

Hi, thanks for the report; this should be fixed in c898fa989be0e0a3e09367ace693fac8c3120ad2 which will be in 2.5.1.

Issue History

Date Modified Username Field Change
2015-11-09 22:24 robn New Issue
2015-11-09 23:24 carl Assigned To => carl
2015-11-09 23:24 carl Status new => confirmed
2015-11-09 23:24 carl Target Version => 2.6.0
2015-11-10 00:01 carl Note Added: 0000964
2015-11-10 00:01 carl Status confirmed => resolved
2015-11-10 00:01 carl Resolution open => fixed
2016-05-31 22:57 carl Status resolved => closed